
Foreman - Bug #883

Testing occurs with authorization testing off

05/06/2011 07:40 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Users, Roles and Permissions   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The Authorization code turns of checking when Rake is defined. This is to allow "rake permissions:reset" to create the admin

account, without being the admin user. Unfortunately rake is defined during a "rake test".

Associated revisions

Revision 2d9308eb - 05/22/2011 03:14 AM - Paul Kelly

Fixes #883 - Enable Authorization checking during rake tests

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 05/06/2011 11:26 AM - Paul Kelly

- Status changed from New to Ready For Testing

#2 - 05/18/2011 06:41 AM - Paul Kelly

I changed the implementation of this patch and also fixed all the tests that failed when authorization checking was turned back on.

#3 - 05/21/2011 01:47 PM - Ohad Levy

- Target version set to 0.3

#4 - 05/22/2011 04:00 AM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset 2d9308eb20f5dea119976fa3c179e6aef86f3c86.

#5 - 05/22/2011 04:02 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
